Get classification
curl --request GET \
--url https://{subdomain}.qanapi.cloud/api/v3/classifications/{classification} \
--header 'x-qanapi-authorization: <api-key>'import requests
url = "https://{subdomain}.qanapi.cloud/api/v3/classifications/{classification}"
headers = {"x-qanapi-authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-qanapi-authorization': '<api-key>'}};
fetch('https://{subdomain}.qanapi.cloud/api/v3/classifications/{classification}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"bg_color": "<string>",
"fg_color": "<string>",
"description": "<string>",
"emoji": "<string>",
"providers": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"gws_groups": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
]
}
],
"users": [
{
"id": 123,
"name": "<string>",
"email": "jsmith@example.com",
"two_factor_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"roles": [
{
"name": "<string>",
"description": "<string>",
"permissions": [
{
"name": "<string>"
}
]
}
]
}
],
"roles": [
{
"name": "<string>",
"description": "<string>",
"permissions": [
{
"name": "<string>"
}
]
}
]
}
Classifications
Get classification
GET
/
v3
/
classifications
/
{classification}
Get classification
Authorizations
Path Parameters
Response
Classification details
Maximum string length:
32Pattern:
^#[0-9A-Fa-f]{6}$Pattern:
^#[0-9A-Fa-f]{6}$Maximum string length:
255Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I